<template>
	<div>
		<el-descriptions title="供应商详情">
		    <el-descriptions-item label="供应商名称">{{list.name}}</el-descriptions-item>
			<el-descriptions-item label="id">{{list.id}}</el-descriptions-item>
		    <el-descriptions-item label="社会统一信用代码">{{list.socialCode}}</el-descriptions-item>
		    <el-descriptions-item label="账号">{{list.account}}</el-descriptions-item>
			<el-descriptions-item label="创建时间">{{list.createdAt}}</el-descriptions-item>
			<el-descriptions-item label="法人名称">{{list.legalPerson}}</el-descriptions-item>
			<el-descriptions-item label="联系人">{{list.contacts}}</el-descriptions-item>
			<el-descriptions-item label="电话">{{list.contactsMobile}}</el-descriptions-item>
			<el-descriptions-item label="审核状态">{{list.statusText}}</el-descriptions-item>
			<el-descriptions-item label="认证照片">
				<el-image style="width: 100px; height: 100px" :src="list.proxyFileList[0]">
				</el-image>
				<el-image style="width: 100px; height: 100px" :src="list.proxyFileList[1]">
				</el-image>
			</el-descriptions-item>
			<el-descriptions-item label="授权委托书">
				<el-image style="width: 100px; height: 100px" :src="list.identifyPicList[0]">
				</el-image>
			<el-image style="width: 100px; height: 100px" :src="list.identifyPicList[1]">
			</el-image>
			</el-descriptions-item>
		</el-descriptions>
		<div style="display: flex;justify-content: center;">
			<el-button type="primary" style="width: 100px; " @click="update">修改信息</el-button>
			<el-button type='primary' style="width: 100px; " @click="back">返回</el-button>
		</div>
		
	</div>
	
</template>

<script>
	export default{
		data(){
			return{
				list:[],
			}
		},
		mounted() {
			let id=this.$route.query.id
			this.$request({
				url:'/api/Supplier/'+id,
				method:'get'
			}).then((res)=>{
				this.list=res.data
				console.log(this.list)
			})
		},
		methods:{
			back(){
				this.$router.go (-1)
			},
			update(){
				console.log("更新信息")
			}
		}
	}
</script>

<style>
</style>